index — dotfiles @ 6891c0b3055fd0cfbc7f99d47b6d74172ab27994

my dotfiles

update dotfiles
Christian Krinitsin code@krinitsin.xyz
Fri, 27 Dec 2024 17:33:58 +0100
commit

6891c0b3055fd0cfbc7f99d47b6d74172ab27994

parent

c37c8dc14f6f79d1a6552f90fe9b8b8d5fb0c8c6

4 files changed, 16 insertions(+), 2 deletions(-)

jump to
M bash/.bashrcbash/.bashrc

@@ -8,7 +8,6 @@ alias vim="nvim"

alias lg="lazygit" alias pgl="pass git pull" alias pgs="pass git push" -alias spt="spotify_player -d" alias swconf="nvim ~/.config/sway/config" alias sandisk="sudo mount /dev/sda1 /mnt/sandisk && cd /mnt/sandisk/" alias :q="exit"
D bin/rstudio

@@ -1,1 +0,0 @@

-/usr/lib/rstudio/rstudio
A bin/steam-launcher

@@ -0,0 +1,15 @@

+#!/bin/bash + +GAME=$(cat $(find ~/.local/share/Steam/steamapps/ -maxdepth 1 -type f -name '*.acf') | grep "name" | grep -v "Steam" | grep -v "Proton" | sed 's/.$//' | cut -d'"' -f2- | cut -d'"' -f2- | cut -d'"' -f2- | dmenu) + +if [ $? -ne 0 ]; then + exit 1 +fi + + +APPID=$(grep -rl --include="*.acf" "$GAME" ~/.local/share/Steam/steamapps | cut -d'_' -f2- | sed 's/\.acf$//') + + +echo "'$GAME' with id '$APPID' will be executed" + +steam steam://launch/$APPID
M sway/.config/sway/configsway/.config/sway/config

@@ -147,6 +147,7 @@ bindsym $mod+Shift+p exec passmenu

bindsym $mod+Ctrl+w exec random-wallpaper bindsym $mod+u exec toggle_monitor_focus bindsym $mod+Shift+m exec prismlauncher -l 1.21.4 -s krinitsin.xyz +bindsym $mod+Shift+g exec steam-launcher # autostart exec --no-startup-id /usr/bin/dunst